import { jsx } from "react/jsx-runtime";
import { TokenAXS as TokenAXS$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenAXS = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "AXS", "data-name": "TokenAXS", ...props, children: /* @__PURE__ */ jsx(TokenAXS$1, { variant }) });
  }
);
TokenAXS.displayName = "TokenAXS";
Object.assign(TokenAXS, { isGdsIcon: true });
export {
  TokenAXS
};
